restinio::easy_parser::impl::top_level_clause_t< Producer > Class Template Reference

A special class to be used as the top level clause in parser. More...

`#include <easy_parser.hpp>`

## Public Member Functions

| top_level_clause_t (Producer &&producer)
RESTINIO_NODISCARD auto | try_process (source_t &from)

## Private Attributes

Producer | m_producer

## Detailed Description

template<typename Producer>
class restinio::easy_parser::impl::top_level_clause_t< Producer >

A special class to be used as the top level clause in parser.

Note
  That class doesn't look like an ordinal clause and can't be connected with other clauses. Method try_process has the different format and returns the value of Producer::try_parse.

Since
  v.0.6.1

Definition at line 1532 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## top_level_clause_t()

template<typename Producer >

restinio::easy_parser::impl::top_level_clause_t< Producer >::top_level_clause_t | ( | Producer && | producer | ) |

inline

Definition at line 1540 of file easy_parser.hpp.

## Member Function Documentation

## try_process()

template<typename Producer >

RESTINIO_NODISCARD auto restinio::easy_parser::impl::top_level_clause_t< Producer >::try_process | ( | source_t & | from | ) |

inline

Definition at line 1546 of file easy_parser.hpp.

## Member Data Documentation

## m_producer

template<typename Producer >

Producer restinio::easy_parser::impl::top_level_clause_t< Producer >::m_producer

private

Definition at line 1537 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp